
library fields.theme;

Theme _theme = const Theme(); 
Theme 
  get theme => _theme;
  set theme(Theme theme) => _theme = theme;

// -----------------------------------------------------------------------------
// Default
// -----------------------------------------------------------------------------
  
class Theme {
  final Colors colors = const Colors();
  final Images images = const Images();
  const Theme();
}
  
class Colors {
  final String background = 'transparent';
  final String border = 'grey';
  final String error = 'red';
  final String fieldBackground = 'transparent';
  final String text = 'black';
  final String textDisabled = 'grey';
  const Colors();
}

class Images {
  final String down = 'packages/fields/res/down.png';
  final String up = 'packages/fields/res/up.png';
  final String lock = 'packages/fields/res/lock.png';  
  final String unlock = 'packages/fields/res/unlock.png';
  const Images();
}

// -----------------------------------------------------------------------------
// Dark
// -----------------------------------------------------------------------------

class DarkTheme extends Theme {
  final Colors colors = const DarkColors();
  final Images images = const DarkImages();
  const DarkTheme();
}

class DarkColors extends Colors {
  final String background = '#2d2d30';
  final String border = '#2d2d30';
  final String fieldBackground = '#252526';
  final String text = '#f1f1f1';
  const DarkColors();
}

class DarkImages extends Images {
  final String down = 'packages/fields/res/dark/down.png';
  final String up = 'packages/fields/res/dark/up.png';
  final String lock = 'packages/fields/res/dark/lock.png';  
  final String unlock = 'packages/fields/res/dark/unlock.png';
  const DarkImages();
}
